package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponConditionType {

    NO_RULES(0, "不限制"),
    NEW_MEMBER(1, "新会员"),
    SCORE_SCOPE(2, "积分值"),
    ;

    public static EnumCouponConditionType getEnum(Integer code) {
        for (EnumCouponConditionType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponConditionType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
